<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="style.css">
    <title>Formulaire de satisfaction</title>
</head>
<body>
    <div class="container">
        <h1>freeCodeCamp Survey form</h1>
        <p class="intro">Thank you for taking the time to help us improve the platform</p>
        <div class="formulaire">
            <form action="#" method="post">
                <div class="block">
                    <label for="name">Name</label><br>
                    <input class="champ" type="text" name="name" id="name" placeholder="Enter your name">
                </div>
                <div class="block">
                    <label for="email">Email</label>
                    <input class="champ" type="email" name="email" id="email" placeholder="Enter your Email">
                </div>
                <div class="block">
                    <label for="age">Age (optional)</label><br>
                    <input class="champ" type="text" name="age" id="age" placeholder="Age">
                </div>
                <div class="block">
                    <label for="option">Which option best describes your current role?</label><br>
                    <select name="option" id="option">
                        <option value="">Select current role</option>
                </select>
                </div>
                <div class="block">
                    <p class="ajust">Would you recommend freecodeCamp to a friend?</p>
                    <input type="radio" name="recommend" id="definitely">
                    <label for="definitely">Definitely</label><br>
                    <input type="radio" name="recommend" id="maybe">
                    <label for="maybe">Maybe</label><br>
                    <input type="radio" name="recommend" id="notsure">
                    <label for="notsure">Not sur</label>
                </div>
                <div class="block">
                    <label for="favorite">What is your favorite feature of freecodeCamp</label>
                    <select name="favorite" id="favorite">
                        <option value="">Select an option</option>
                    </select>
                </div>
                <div class="block">
                    <p class="ajust">What would you like to see improved? (Check all that apply)</p>
                    <input type="checkbox" name="frontend" id="fronted">
                    <label for="fronted">Front-end Projects</label><br>
                    <input type="checkbox" name="backend" id="backend">
                    <label for="backend">Back-end Projects</label><br>
                    <input type="checkbox" name="data" id="data">
                    <label for="data">Data Visualization</label><br>
                    <input type="checkbox" name="challenges" id="challenges">
                    <label for="challenges">Challenges</label><br>
                    <input type="checkbox" name="open" id="open">
                    <label for="open">Open Source Community</label><br>
                    <input type="checkbox" name="gitter" id="gitter">
                    <label for="gitter">Gitter help Rooms</label><br>
                    <input type="checkbox" name="videos" id="videos">
                    <label for="videos">Videos</label><br>
                    <input type="checkbox" name="meetup" id="meetup">
                    <label for="meetup">City Meetups</label><br>
                    <input type="checkbox" name="wiki" id="wiki">
                    <label for="wiki">Wiki</label><br>
                    <input type="checkbox" name="forum" id="forum">
                    <label for="forum">Forum</label><br>
                    <input type="checkbox" name="add" id="add">
                    <label for="add">Additional Courses</label>
                </div>
                <div class="block">
                    <label for="comments">Any comments or suggestions?</label><br>
                    <textarea name="comments" id="comments" cols="30" rows="5" placeholder="Enter your comment here..."></textarea>
                </div>
                <div class="block">
                    <input class="button" type="submit" value="Submit">
                </div>
            </form>
        </div>
    </div>    
</body>
</html>